#!/bin/bash

if [ -d unpack ]; then
  sudo rm -rf unpack
fi

version="1.0.3"

mkdir -p unpack/DEBIAN

cp debian/control unpack/DEBIAN/
cp -r usr unpack/

cd unpack
find . -type f | xargs md5sum > DEBIAN/md5sums

cd ..
dpkg-deb -b unpack/ "sonist-${version}.deb"

sudo rm -rf unpack